be.fgov.ehealth.rn.personservice.core.v1

## Class PhoneticAddress

- java.lang.Object
- - be.fgov.ehealth.rn.personservice.core.v1.PhoneticAddress

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class PhoneticAddress
      extends Object
      implements Serializable

  Java class for PhoneticAddress complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PhoneticAddress">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType"/>
               <element name="CityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CityCodeType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneticAddress()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCityCode()` Gets the value of the cityCode property.
    `int` | `getCountryCode()` Gets the value of the countryCode property.
    `void` | `setCityCode(String value)` Sets the value of the cityCode property.
    `void` | `setCountryCode(int value)` Sets the value of the countryCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneticAddress

          public PhoneticAddress()

  - ### Method Detail

    - #### getCountryCode

          public int getCountryCode()

      Gets the value of the countryCode property.

    - #### setCountryCode

          public void setCountryCode(int value)

      Sets the value of the countryCode property.

    - #### getCityCode

          public String getCityCode()

      Gets the value of the cityCode property.
      Returns:
        possible object is `String`

    - #### setCityCode

          public void setCityCode(String value)

      Sets the value of the cityCode property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.